# Class goog.labs.testing.RegexMatcher

code »

All implemented interfaces:
  `goog.labs.testing.Matcher`

The MatchesRegex matcher.

## Constructor

goog.labs.testing.RegexMatcher ( regex )

Parameters

regex: `!RegExp`
  The expected regex.

Show:PublicProtectedPrivate

## Instance Methods

code » describe ( actualValue ) ⇒ `string`

Parameters

actualValue

code » matches ( actualValue ) ⇒ `boolean`

Determines if input string is equal to the expected string.

Parameters

actualValue

## Instance Properties

code » regex_ : `!RegExp`